Summary:	IMAP synchronisation, sync, copy or migration tool
Name:		imapsync
Version:	2.229
Release:	%mkrel 2
License:	WTFPL
Group:		Networking/Mail
URL:		https://fedorahosted.org/imapsync
Source0:	https://github.com/imapsync/imapsync/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Requires:	perl(Date::Manip)
Requires:	perl(Term::ReadKey)
Recommends:       perl(IO::Socket::SSL)
Recommends:       perl(Digest::HMAC_MD5)
BuildArch:	noarch

%description
imapsync is a tool for facilitating incremental recursive IMAP transfers from
one mailbox to another. It is useful for mailbox migration, and reduces the
amount of data transferred by only copying messages that are not present on
both servers. Read, unread, and deleted flags are preserved, and the process
can be stopped and resumed. The original messages can optionally be deleted
after a successful transfer.

%prep

%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build

pod2man %{name} > %{name}.1

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 %{name} %{buildroot}%{_bindir}/
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files
%doc CREDITS ChangeLog FAQ README TODO
%attr(0755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.229-2.mga10
+ Revision: 2217871
- Mageia 10 Mass Rebuild

* Mon Feb 13 2023 mrambo3501 <mrambo3501> 2.229-1.mga9
+ Revision: 1941174
- version 2.229

* Mon Mar 21 2022 umeabot <umeabot> 2.140-2.mga9
+ Revision: 1815995
- Mageia 9 Mass Rebuild

* Mon Jan 24 2022 mrambo3501 <mrambo3501> 2.140-1.mga9
+ Revision: 1769672
- version 2.140

* Fri Feb 14 2020 umeabot <umeabot> 1.882-2.mga8
+ Revision: 1521763
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 kekepower <kekepower> 1.882-1.mga7
+ Revision: 1347734
- Update to version 1.882

* Thu Sep 20 2018 umeabot <umeabot> 1.836-2.mga7
+ Revision: 1278871
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.836-1.mga7
+ Revision: 1214815
- Update to version 1.836

* Mon Feb 08 2016 umeabot <umeabot> 1.584-5.mga6
+ Revision: 945570
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.584-4.mga5
+ Revision: 750850
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.584-3.mga5
+ Revision: 680491
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Mar 10 2014 luigiwalser <luigiwalser> 1.584-2.mga5
+ Revision: 601804
- add upstream patch to disable releasecheck feature (fixes CVE-2013-4279)

* Mon Feb 24 2014 luigiwalser <luigiwalser> 1.584-1.mga5
+ Revision: 596521
- 1.584 (fixes CVE-2014-2014)
- update URLs

* Fri Oct 18 2013 umeabot <umeabot> 1.456-4.mga4
+ Revision: 505982
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.456-3.mga3
+ Revision: 354294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 15 2011 dlucio <dlucio> 1.456-2.mga2
+ Revision: 155286
- new suggestions

* Fri Oct 14 2011 dlucio <dlucio> 1.456-1.mga2
+ Revision: 155243
- imported package imapsync

